Subject: How do I actually compile in SSL/security stuff?

From: Matt Ackeret <[email-masked]>
Date: Thu, 27 Sep 2001 19:59:10 -0700 (PDT)

Ok here's a dumb question.. and not knowing the answer probably means
I shouldn't be trying to play around with security stuff I don't really
"get"

I thought I could just turn it on in a config file, then I got:
make: *** No rule to make target `../c-client/c-client.a', needed by `pine'.  Stop.

From:
 *  TLS and SSL support
     +  TLS is fully supported in sources
     +  SSL is fully integrated in the source, due to changes in US
        export regulations

"integrated" makes me think that that means that I don't have to download/
compile something else.

but I think I really need to build/install OpenSSL, right?  (I saw reference
to OpenSSL in a makefile.)  Is any of this already installed in Mac OSX/Darwin?
(I looked for some sub-/usr item mentioned in a makefile and it doesn't
exist.)

What is TLS anyway/where do I find out about it?

And even more importantly -- doesn't the IMAP server I connect to have to
support SSL/TLS too?  How do I find out if my server(s) support this?

And what are:
Authenticators:
  CRAM-MD5
  PLAIN
  LOGIN
???

Sorry, a bunch of REALLY basic questions.   I guess I've been glad that
it built "out of the box" on OSX! (Since I was able to get previous
versions working just by compiling them..)

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------